function out = analysis_ansblock(blockStr)
% (  5.7604463435439658E-02 ,  0.0000000000000000E+00)
% (  5.6660623022294381E+00 ,  0.0000000000000000E+00)
% (  5.3190743177790645E-01 ,  0.0000000000000000E+00)
% (  9.0268097784238011E-01 ,  0.0000000000000000E+00)
% ( -4.3414896803886283E-01 ,  0.0000000000000000E+00)
%  
%  residue          =    3.997E-15
%  condition number =    4.722E+02
ansArray = regexp(blockStr, 'residue', 'split');
ansArray{1} = delspace(ansArray{1}); % delete space
ansElement = regexp(ansArray{1}, ')', 'split');
vars_num = length(ansElement) - 1;
ansElement = ansElement(1:vars_num);
for i = 1 : vars_num
    ansElement{i} = ansElement{i}(2:length(ansElement{i}));
end
Element = regexp(ansElement, ',', 'split');
out = [];
for i = 1 : vars_num
    if str2double(Element{i}{2}) > 0.1E-8 % if imaginary part is larger than 0.1E-99, return
        return
    end
end
for i = 1 : vars_num
    out = [out,str2num(Element{i}{1})];
end

end

function outStr = delspace(inStr)
index = ~isspace(inStr);
outStr = inStr(index);
end


 
