function [roots,ff,orders] = myhom4ps(p)

roots=[];
orders=[];
for i=1:length(p)
   [tmproot,tmporder] = HOM4PS2(length(p{i}),p{i});
   roots = [roots;tmproot];
   orders =[orders;tmporder];
end %end for
strvars = '';
for i= 1:length(orders)
    strvars =[strvars,'x(',num2str(i),')'];
    if i ~= length(orders)
         strvars = [strvars,','];
    end %end if
end % end for

ff='[';

for i=1:length(p)
     for j=1:length(p{i})
	      ff = [ff, char(subs(p{i}(j),orders,strvars)),';'];
	 end %end for j
end %end for i	 
ff = ff(1:length(ff)-1);
ff = [ff,']'];