function system = linearComb(L,n)
% LINEARCOMB         Linear combination of  old polynomials, and generate n new polynomials
%
%The instruction
%  
%  system = LINEARCOMB(L,n)
%
%  Input : 
%       L -- sym type polynomials 
%       n -- variables
% Output :
%       system -- results
%
% Yijun. Zhu, 28 March 2013
%
% A = -1 + 2.*rand(n, length(L));
A = myrandom(-1,1,n,length(L));
system = A*L(:);
system = system.';
end