function ff = symp2char(symK)
% SYMP2CHAR         Transform sym type polynomials into char type,  e.g:'[p1;p2;p3]'
%
%The instruction
%  
%   ff = SYMP2CHAR(symK)
%
%  Input : 
%       symK -- sym type polynomials 
% Output :
%       ff -- char type polynomials 
%
% Yijun. Zhu, 28 March 2013
%
ff = '';
for i = 1 : length(symK)
    if 1 == i
        ff = char(symK(i));
    else
        ff = [ff,';',char(symK(i))];
    end
end
ff = ['[',ff,']'];
end