%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This routine computes a basis of the multivariate polynomial. 
% Input:
%      d --- degree
%      n --- the number of variables
% Output:
%      S --- vector referenced by integer in canonical ordering
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function S= list2vec(L,n)
         row_dim=length(L);
	 M=zeros(row_dim,n);
         for i=1:row_dim;
             temp=L{i};
	     M(i,:)=temp;
         end       
	 S =M;	 
%end  function
      
