function chartable = sym2chartable(symtable)
% SYM2CHARTABLE    Transform sym type polynomials to char type
%
%The instruction
%  
%   chartable = SYM2CHARTABLE(symtable)
%
% Yijun. Zhu, 28 March 2013
%
chartable = char(symtable);
temp='';
if length(symtable) == 1
             chartable;
elseif   ~(length(strfind(chartable,'matrix(')) == 0)
             chartable = strrep(chartable,'matrix(','') ;
elseif ~(length(strfind(chartable,'array(')) == 0) 
             chartable = strrep(chartable,'array(','') ;	
elseif  ~(length(strfind(chartable,'Vector(')) == 0)  
              [temp,chartable] = strtok(chartable,'[') ;		
else
        temp;			  
end;
chartable = strrep(chartable,'[','');
chartable = strrep(chartable,']','');
chartable = strrep(chartable,'(','');
chartable = strrep(chartable,')','');
chartable = ['[',chartable,']'];


