function [mpolpolys,strvars] = sym2mpol(sympolys)
% SYM2MPOL    Transform sym type polynomials to mpol type and return char
%                            type variables
%
%The instruction
%  
%    [mpolpolys,strvars] = SYM2MPOL(sympolys)
%
% Yijun. Zhu, 28 March 2013
%

strvars = findsym(sympolys);
strvars = regexp(strvars, ',' , 'split');

% Declare mpol type variables
for i=1:length(strvars)
	 mpol(strvars{i});
end

% Generate mpol type polynomals
strpolys = sym2chartable(sympolys);
mpolpolys = eval(strpolys);
