function mat = myrandom(a,b,row,col)
% MYRANDOM         To generate row*col random matrix, and the random number [a,b] or [b,a]
%
%The instruction
%  
%   mat = MYRANDOM(a,b,row,col)
%
%  Input : 
%       a,b -- upper and lower bound
%       row -- number of rows
%       col -- number of columns
% Output :
%       mat -- random matrix
%
% Yijun. Zhu, 28 March 2013
%
mat = a + (b - a) * rand(row,col);
end