function f = myrandperm(n,k)
% MYRANDPERM         eturns a row vector containing K unique integers selected randomly from 1:N.  For example, randperm(6,3) might be [4 2 5].
%
%The instruction
%  
%   f = MYRANDPERM(n,k)
%
% Yijun. Zhu, 28 March 2013
%
index = randperm(n);
f = index(1:k);
end